// config1.js file for [Firefox program folder]
// file name must match the name in [Firefox program folder]\defaults\pref
function applyCustomScriptToNewWindow(win){
  /*** Context menu changes ***/ 
  let myKeyChanges = [
    {
      id: 'context-copylink', 
      newkey: 'a',
      newlabel: 'Copy Link Location'
    },
    {
      id: 'context-copyemail', 
      newkey: 'A',
      newlabel: 'Copy Email Address'
    }
  ];
  for (var i=0; i<myKeyChanges.length; i++){
    var menuitem = win.document.getElementById(myKeyChanges[i].id);
    if (menuitem){
      if (myKeyChanges[i].newkey.length == 1){
        menuitem.setAttribute('accesskey', myKeyChanges[i].newkey);
      }
      if (myKeyChanges[i].newlabel.length > 0){
        menuitem.setAttribute('label', myKeyChanges[i].newlabel);
      }
    }
  }
  /*** Other changes ***/ 
}
/* Single function userChrome.js loader to run the above init function (no external scripts)
  derived from https://www.reddit.com/r/firefox/comments/kilmm2/ */
try {
  let { classes: Cc, interfaces: Ci, manager: Cm  } = Components;
  const {Services} = Components.utils.import('resource://gre/modules/Services.jsm');
  function ConfigJS() { Services.obs.addObserver(this, 'chrome-document-global-created', false); }
  ConfigJS.prototype = {
    observe: function (aSubject) { aSubject.addEventListener('DOMContentLoaded', this, {once: true}); },
    handleEvent: function (aEvent) {
      let document = aEvent.originalTarget; let window = document.defaultView; let location = window.location;
      if (/^(chrome:(?!\/\/(global\/content\/commonDialog|browser\/content\/webext-panels)\.x?html)|about:(?!blank))/i.test(location.href)) {
        if (window._gBrowser) applyCustomScriptToNewWindow(window);
      }
    }
  };
  if (!Services.appinfo.inSafeMode) { new ConfigJS(); }
} catch(ex) {};